# Form implementation generated from reading ui file 'src/eric7/WebBrowser/FeaturePermissions/FeaturePermissionsDialog.ui'
#
# Created by: PyQt6 UI code generator 6.7.0
#
# WARNING: Any manual changes made to this file will be lost when pyuic6 is
# run again.  Do not edit this file unless you know what you are doing.


from PyQt6 import QtCore, QtGui, QtWidgets


class Ui_FeaturePermissionsDialog(object):
    def setupUi(self, FeaturePermissionsDialog):
        FeaturePermissionsDialog.setObjectName("FeaturePermissionsDialog")
        FeaturePermissionsDialog.resize(650, 400)
        FeaturePermissionsDialog.setSizeGripEnabled(True)
        self.gridLayout = QtWidgets.QGridLayout(FeaturePermissionsDialog)
        self.gridLayout.setObjectName("gridLayout")
        self.buttonBox = QtWidgets.QDialogButtonBox(parent=FeaturePermissionsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Orientation.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.StandardButton.Cancel|QtWidgets.QDialogButtonBox.StandardButton.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.gridLayout.addWidget(self.buttonBox, 1, 0, 1, 2)
        self.verticalLayout_3 = QtWidgets.QVBoxLayout()
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        spacerItem = QtWidgets.QSpacerItem(20, 40, QtWidgets.QSizePolicy.Policy.Minimum, QtWidgets.QSizePolicy.Policy.Expanding)
        self.verticalLayout_3.addItem(spacerItem)
        self.removeButton = QtWidgets.QPushButton(parent=FeaturePermissionsDialog)
        self.removeButton.setObjectName("removeButton")
        self.verticalLayout_3.addWidget(self.removeButton)
        self.removeAllButton = QtWidgets.QPushButton(parent=FeaturePermissionsDialog)
        self.removeAllButton.setObjectName("removeAllButton")
        self.verticalLayout_3.addWidget(self.removeAllButton)
        self.gridLayout.addLayout(self.verticalLayout_3, 0, 1, 1, 1)
        self.tabWidget = QtWidgets.QTabWidget(parent=FeaturePermissionsDialog)
        self.tabWidget.setObjectName("tabWidget")
        self.gridLayout.addWidget(self.tabWidget, 0, 0, 1, 1)

        self.retranslateUi(FeaturePermissionsDialog)
        self.tabWidget.setCurrentIndex(-1)
        self.buttonBox.accepted.connect(FeaturePermissionsDialog.accept) # type: ignore
        self.buttonBox.rejected.connect(FeaturePermissionsDialog.reject) # type: ignore
        QtCore.QMetaObject.connectSlotsByName(FeaturePermissionsDialog)
        FeaturePermissionsDialog.setTabOrder(self.tabWidget, self.removeButton)
        FeaturePermissionsDialog.setTabOrder(self.removeButton, self.removeAllButton)

    def retranslateUi(self, FeaturePermissionsDialog):
        _translate = QtCore.QCoreApplication.translate
        FeaturePermissionsDialog.setWindowTitle(_translate("FeaturePermissionsDialog", "HTML5 Feature Permissions"))
        self.removeButton.setText(_translate("FeaturePermissionsDialog", "&Remove"))
        self.removeAllButton.setText(_translate("FeaturePermissionsDialog", "Remove &All"))
